Subject: Re: [PATCH v5 6/7] trace.c: print env vars in trace_run_command()

From: Brandon Williams <[email-masked]>
Date: Tue, 16 Jan 2018 10:32:15 -0800

On 01/15, Nguyễn Thái Ngọc Duy wrote:
> Occasionally submodule code could execute new commands with GIT_DIR set
> to some submodule. GIT_TRACE prints just the command line which makes it
> hard to tell that it's not really executed on this repository.
> 
> Print the env delta (compared to parent environment) in this case.
> 

Code looks clean and very readable.  Also matches the last one wins
semantics in prep_childenv.

-- 
Brandon Williams